﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;

namespace DockManagerEx
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ResourceDictionary myResourceDictionary;

        public MainWindow()
        {
            InitializeComponent();           

            //retrieve locally declared resources defined in the MainWindow's MergedDictionary
            // wheterher locally declared or from ResourceDictionary file 
            myResourceDictionary = this.Resources.MergedDictionaries[0];
        }

        private void XamDockManager_ToolWindowLoaded(object sender, Infragistics.Windows.DockManager.Events.PaneToolWindowEventArgs e)
        {
            //Code style locally and add to window resources
            //Style style = new Style(typeof(TabGroupPane));
            //Setter setter = new Setter(TabGroupPane.TabStripPlacementProperty, Dock.Top);
            //style.Setters.Add(setter);
            //e.Window.Resources.Add(typeof(TabGroupPane), style);           

            e.Window.Resources.MergedDictionaries.Add(myResourceDictionary);
           
        }
    }
}
